<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <View
        android:id="@+id/user_comment_detail_line1"
        android:layout_width="match_parent"
        android:layout_height="10dp"
        android:background="#f5f5f5" />

    <LinearLayout
        android:id="@+id/user_comment_detail_game_ll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingStart="16dp"
        android:paddingTop="20dp"
        android:paddingEnd="16dp"
        android:paddingBottom="20dp">

        <ImageView
            android:id="@+id/user_comment_detail_game_icon"
            android:layout_width="33dp"
            android:layout_height="33dp"
            android:src="@drawable/icon_lj" />

        <TextView
            android:id="@+id/user_comment_detail_game_name"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:paddingStart="8dp"
            android:paddingEnd="8dp"
            android:text="永恒仙域"
            android:textColor="#ff333333"
            android:textSize="13sp" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/x_ic_next" />
    </LinearLayout>

    <View
        android:id="@+id/user_comment_detail_line2"
        android:layout_width="match_parent"
        android:layout_height="10dp"
        android:background="#f5f5f5" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/user_comment_detail_user_avatar"
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="20dp"
            android:src="@drawable/icon" />

        <TextView
            android:id="@+id/user_comment_detail_user_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="50dp"
            android:layout_marginTop="18dp"
            android:layout_marginEnd="36dp"
            android:text="栗子的菜"
            android:textColor="#ff333333"
            android:textSize="13sp" />

        <TextView
            android:id="@+id/user_comment_detail_user_publish_time"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/user_comment_detail_user_name"
            android:layout_marginStart="50dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="36dp"
            android:text="昨天"
            android:textColor="#ffcccccc"
            android:textSize="10sp" />
    </RelativeLayout>

    <android.support.constraint.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="17dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="20dp"
        android:background="@drawable/shape_f5_solid_rectangle_5">

        <android.support.v7.widget.AppCompatRatingBar
            android:id="@+id/user_comment_detail_user_publish_score"
            style="@style/style_rating_bar"
            android:layout_width="wrap_content"
            android:layout_marginStart="17dp"
            android:layout_marginTop="20dp"
            android:isIndicator="true"
            android:numStars="5"
            android:rating="0"
            android:stepSize="0.5"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <TextView
            android:id="@+id/intro_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:lineSpacingMultiplier="1.3"
            android:maxLines="3"
            android:paddingStart="18dp"
            android:paddingTop="20dp"
            android:paddingEnd="50dp"
            android:paddingBottom="10dp"
            android:text="《永恒仙域》经典仙侠梦想，高清3DMMORPG手游，继承同类型游戏的经典游戏模式，更加酷炫的游戏画面与动作特效，精心构建出这个瑰丽的东方式仙侠世界。《永恒仙域》经典仙侠梦想，高清3DMMORPG手游，继承同类型游戏的经典游戏模式，更加酷炫的游戏画面与动作特效，精心构建出这个瑰丽的东方式仙侠世界。"
            android:textColor="#ff666666"
            android:textSize="12sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/user_comment_detail_user_publish_score" />

        <TextView
            android:id="@+id/intro_show_all"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:padding="10dp"
            android:text="全文"
            android:textColor="#ff4bc1ff"
            android:textSize="12sp"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="@id/intro_content"
            app:layout_constraintEnd_toEndOf="parent" />

        <TextView
            android:id="@+id/user_comment_detail_num1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableStart="@drawable/ic_but_speak"
            android:drawablePadding="6dp"
            android:paddingStart="8dp"
            android:paddingTop="8dp"
            android:paddingEnd="12dp"
            android:paddingBottom="16dp"
            android:text="54"
            android:textColor="#ff666666"
            android:textSize="11sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/intro_content" />

        <TextView
            android:id="@+id/user_comment_detail_num2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableStart="@drawable/ic_but_up"
            android:drawablePadding="6dp"
            android:paddingStart="8dp"
            android:paddingTop="8dp"
            android:paddingEnd="8dp"
            android:paddingBottom="16dp"
            android:text="54"
            android:textColor="#ff666666"
            android:textSize="11sp"
            app:layout_constraintBottom_toBottomOf="@id/user_comment_detail_num1"
            app:layout_constraintEnd_toStartOf="@id/user_comment_detail_num1" />

        <TextView
            android:id="@+id/user_comment_detail_num3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableStart="@drawable/ic_image_xiao"
            android:drawablePadding="6dp"
            android:paddingStart="8dp"
            android:paddingTop="8dp"
            android:paddingEnd="8dp"
            android:paddingBottom="16dp"
            android:text="54"
            android:textColor="#ff666666"
            android:textSize="11sp"
            app:layout_constraintBottom_toBottomOf="@id/user_comment_detail_num1"
            app:layout_constraintEnd_toStartOf="@id/user_comment_detail_num2" />
    </android.support.constraint.ConstraintLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginBottom="20dp"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:background="#f2f2f2" />

    <include layout="@layout/include_total_count_tv"/>
</LinearLayout>